summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2009-12-13 03:50:56 +0000
committerZac Medico <zmedico@gentoo.org>2009-12-13 03:50:56 +0000
commitb2a3d90d9c72fe24b834043521aae28774191a2b (patch)
tree684b3c257ea6e40699b88c6cd4951a26988f2316
parente816d756c923916cb980f473f51af94d26d76429 (diff)
downloadportage-b2a3d90d9c72fe24b834043521aae28774191a2b.tar.gz
portage-b2a3d90d9c72fe24b834043521aae28774191a2b.tar.bz2
portage-b2a3d90d9c72fe24b834043521aae28774191a2b.zip
Add EAPI 3_pre2 to conditinals so the EAPI 4 stuff is disabled. (trunk r15035)
svn path=/main/branches/2.1.7/; revision=15069
-rwxr-xr-xbin/ebuild-helpers/doins2
-rwxr-xr-xbin/ebuild-helpers/newins2
-rwxr-xr-xbin/ebuild.sh20
-rwxr-xr-xbin/isolated-functions.sh2
-rw-r--r--pym/portage/__init__.py6
-rw-r--r--pym/repoman/checks.py4
6 files changed, 18 insertions, 18 deletions
diff --git a/bin/ebuild-helpers/doins b/bin/ebuild-helpers/doins
index c5e78d9c5..7e1a9ca95 100755
--- a/bin/ebuild-helpers/doins
+++ b/bin/ebuild-helpers/doins
@@ -26,7 +26,7 @@ if [[ ${INSDESTTREE#${D}} != "${INSDESTTREE}" ]]; then
fi
case "$EAPI" in
- 0|1|2|3)
+ 0|1|2|3|3_pre2)
PRESERVE_SYMLINKS=n
;;
*)
diff --git a/bin/ebuild-helpers/newins b/bin/ebuild-helpers/newins
index d66e0599a..4b2bb2b5c 100755
--- a/bin/ebuild-helpers/newins
+++ b/bin/ebuild-helpers/newins
@@ -15,7 +15,7 @@ fi
rm -rf "${T}/${2}" || exit $?
case "$EAPI" in
- 0|1|2|3)
+ 0|1|2|3|3_pre2)
cp "$1" "$T/$2" || exit $?
;;
*)
diff --git a/bin/ebuild.sh b/bin/ebuild.sh
index a9c6d0e55..0dd7e980e 100755
--- a/bin/ebuild.sh
+++ b/bin/ebuild.sh
@@ -150,7 +150,7 @@ useq() {
# Skip this for older EAPIs since lots of ebuilds/eclasses
# have stuff in global scope that really belongs somewhere
# like pkg_setup or src_configure.
- if [[ -n $EAPI ]] && ! hasq "$EAPI" 0 1 2 3 ; then
+ if [[ -n $EAPI ]] && ! hasq "$EAPI" 0 1 2 3 3_pre2 ; then
die "use() called during invalid phase: $EBUILD_PHASE"
fi
@@ -507,7 +507,7 @@ econf() {
fi
# EAPI=3 adds --disable-dependency-tracking to econf
- if ! hasq "$EAPI" 0 1 2 3 ; then
+ if ! hasq "$EAPI" 0 1 2 3 3_pre2 ; then
set -- --disable-dependency-tracking "$@"
fi
@@ -918,7 +918,7 @@ dyn_prepare() {
if [[ -d $S ]] ; then
cd "${S}"
- elif hasq $EAPI 0 1 2 3; then
+ elif hasq $EAPI 0 1 2 3 3_pre2 ; then
cd "${WORKDIR}"
elif [[ -z ${A} ]] && ! has_phase_defined_up_to prepare; then
cd "${WORKDIR}"
@@ -949,7 +949,7 @@ dyn_configure() {
if [[ -d $S ]] ; then
cd "${S}"
- elif hasq $EAPI 0 1 2 3; then
+ elif hasq $EAPI 0 1 2 3 3_pre2 ; then
cd "${WORKDIR}"
elif [[ -z ${A} ]] && ! has_phase_defined_up_to configure; then
cd "${WORKDIR}"
@@ -982,7 +982,7 @@ dyn_compile() {
if [[ -d $S ]] ; then
cd "${S}"
- elif hasq $EAPI 0 1 2 3; then
+ elif hasq $EAPI 0 1 2 3 3_pre2 ; then
cd "${WORKDIR}"
elif [[ -z ${A} ]] && ! has_phase_defined_up_to compile; then
cd "${WORKDIR}"
@@ -1059,7 +1059,7 @@ dyn_install() {
mkdir "${PORTAGE_BUILDDIR}/image"
if [[ -d $S ]] ; then
cd "${S}"
- elif hasq $EAPI 0 1 2 3; then
+ elif hasq $EAPI 0 1 2 3 3_pre2 ; then
cd "${WORKDIR}"
elif [[ -z ${A} ]] && ! has_phase_defined_up_to install; then
cd "${WORKDIR}"
@@ -1413,7 +1413,7 @@ _ebuild_arg_to_phase() {
case "$arg" in
pretend)
- ! hasq $eapi 0 1 2 3 && \
+ ! hasq $eapi 0 1 2 3 3_pre2 && \
phase_func=pkg_pretend
;;
setup)
@@ -1509,7 +1509,7 @@ _ebuild_phase_funcs() {
declare -F src_compile >/dev/null || \
src_compile() { _eapi2_src_compile "$@" ; }
- has $eapi 2 3 || declare -F src_install >/dev/null || \
+ has $eapi 2 3 3_pre2 || declare -F src_install >/dev/null || \
src_install() { _eapi4_src_install "$@" ; }
if hasq $phase_func $default_phases ; then
@@ -1876,7 +1876,7 @@ if ! hasq "$EBUILD_PHASE" clean cleanrm ; then
[[ -n $EAPI ]] || EAPI=0
- if has "$EAPI" 0 1 2 3 ; then
+ if has "$EAPI" 0 1 2 3 3_pre2 ; then
export RDEPEND=${RDEPEND-${DEPEND}}
debug-print "RDEPEND: not set... Setting to: ${DEPEND}"
fi
@@ -1896,7 +1896,7 @@ if ! hasq "$EBUILD_PHASE" clean cleanrm ; then
pkg_nofetch pkg_postinst pkg_postrm pkg_preinst pkg_prerm
pkg_setup src_test src_unpack"
;;
- 2|3)
+ 2|3|3_pre2)
_valid_phases="src_compile pkg_config src_configure pkg_info
src_install pkg_nofetch pkg_postinst pkg_postrm pkg_preinst
src_prepare pkg_prerm pkg_setup src_test src_unpack"
diff --git a/bin/isolated-functions.sh b/bin/isolated-functions.sh
index 911f65bc2..61120705f 100755
--- a/bin/isolated-functions.sh
+++ b/bin/isolated-functions.sh
@@ -54,7 +54,7 @@ dump_trace() {
}
nonfatal() {
- if has "${EAPI:-0}" 0 1 2 3; then
+ if has "${EAPI:-0}" 0 1 2 3 3_pre2 ; then
die "$FUNCNAME() not supported in this EAPI"
fi
if [[ $# -lt 1 ]]; then
diff --git a/pym/portage/__init__.py b/pym/portage/__init__.py
index 1e64ef610..709abb9c3 100644
--- a/pym/portage/__init__.py
+++ b/pym/portage/__init__.py
@@ -3777,7 +3777,7 @@ class config(object):
mydict["USE"] = self.get("PORTAGE_USE", "")
# Don't export AA to the ebuild environment in EAPIs that forbid it
- if eapi not in ("0", "1", "2", "3"):
+ if eapi not in ("0", "1", "2", "3", "3_pre2"):
mydict.pop("AA", None)
# Prefix variables are supported starting with EAPI 3.
@@ -5649,7 +5649,7 @@ def spawnebuild(mydo, actionmap, mysettings, debug, alwaysdep=0,
if mydo == "prepare" and eapi in ("0", "1"):
return os.EX_OK
- if mydo == "pretend" and eapi in ("0", "1", "2", "3"):
+ if mydo == "pretend" and eapi in ("0", "1", "2", "3", "3_pre2"):
return os.EX_OK
kwargs = actionmap[mydo]["args"]
@@ -6304,7 +6304,7 @@ def doebuild_environment(myebuild, mydo, myroot, mysettings, debug, use_cache, m
mysettings["PORTAGE_BUILDDIR"], ".exit_status")
#set up KV variable -- DEP SPEEDUP :: Don't waste time. Keep var persistent.
- if eapi not in ('0', '1', '2', '3'):
+ if eapi not in ('0', '1', '2', '3', '3_pre2'):
# Discard KV for EAPIs that don't support it. Cache KV is restored
# from the backupenv whenever config.reset() is called.
mysettings.pop('KV', None)
diff --git a/pym/repoman/checks.py b/pym/repoman/checks.py
index ce72e36ea..3156894f6 100644
--- a/pym/repoman/checks.py
+++ b/pym/repoman/checks.py
@@ -436,7 +436,7 @@ class Eapi4IncompatibleFuncs(LineCheck):
self.eapi = pkg.metadata['EAPI']
def check_eapi(self, eapi):
- return self.eapi not in ('0', '1', '2', '3')
+ return self.eapi not in ('0', '1', '2', '3', '3_pre2')
def check(self, num, line):
m = self.banned_commands_re.match(line)
@@ -453,7 +453,7 @@ class Eapi4GoneVars(LineCheck):
self.eapi = pkg.metadata['EAPI']
def check_eapi(self, eapi):
- return self.eapi not in ('0', '1', '2', '3')
+ return self.eapi not in ('0', '1', '2', '3', '3_pre2')
def check(self, num, line):
m = self.undefined_vars_re.match(line)